## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesNamedNodeListCache Class Reference

`#include <XercesNamedNodeListCache.hpp>`

Inheritance diagram for XercesNamedNodeListCache:

[legend]
Collaboration diagram for XercesNamedNodeListCache:

[legend]
List of all members.

## Public Types

- typedef std::map<XalanDOMString,
  XercesNodeListBridge*> NodeListCacheType

## Public Methods

- XercesNamedNodeListCache (const XercesBridgeNavigator &theNavigator)
- virtual ~XercesNamedNodeListCache ()
- virtual XercesNodeListBridge* getElementsByTagName (const XalanDOMString &tagname) const
- virtual XercesNodeListBridge* getElementsByTagNameNS (const XalanDOMString &namespaceURI, const XalanDOMString &localName) const

## Protected Methods

- virtual DOM_NodeListType getXercesNodeList (const XalanDOMString &tagname) const=0
- virtual DOM_NodeListType getXercesNodeList (const XalanDOMString &namespaceURI, const XalanDOMString &localName) const=0

## Member Typedef Documentation

typedef std::map< XalanDOMString, XercesNodeListBridge *> XercesNamedNodeListCache::NodeListCacheType<XalanDOMString, XercesNodeListBridge*>

## Constructor & Destructor Documentation

XercesNamedNodeListCache::XercesNamedNodeListCache ( | const XercesBridgeNavigator & theNavigator )

XercesNamedNodeListCache::~XercesNamedNodeListCache ( | )`[virtual]`

## Member Function Documentation

XercesNodeListBridge * XercesNamedNodeListCache::getElementsByTagName ( | const XalanDOMString & tagname ) const`[virtual]`

XercesNodeListBridge * XercesNamedNodeListCache::getElementsByTagNameNS ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName ) const`[virtual]`

DOM_NodeListType XercesNamedNodeListCache::getXercesNodeList ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName ) const`[protected, pure virtual]`

| Reimplemented in XercesDocumentNamedNodeListCache, and XercesElementNamedNodeListCache.

DOM_NodeListType XercesNamedNodeListCache::getXercesNodeList ( | const XalanDOMString & tagname ) const`[protected, pure virtual]`

| Reimplemented in XercesDocumentNamedNodeListCache, and XercesElementNamedNodeListCache.

The documentation for this class was generated from the following file:

- XercesNamedNodeListCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.